QEMU NBD Server out-of-bounds write

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
8.2$0-$5k0.00

A vulnerability, which was classified as critical, was found in QEMU (Virtualization Software) (the affected version unknown). Affected is an unknown part of the component NBD Server. The manipulation with an unknown input leads to a out-of-bounds write vulnerability. CWE is classifying the issue as CWE-787. The product writes data past the end, or before the beginning, of the intended buffer. This is going to have an impact on confidentiality, integrity, and availability.

The bug was discovered 11/29/2017. The weakness was published 11/29/2017 (Website). The advisory is available at exploit-db.com. This vulnerability is traded as CVE-2017-15118 since 10/08/2017. The exploitability is told to be easy. It is possible to launch the attack remotely. The exploitation doesn't require any form of authentication. Technical details are unknown but a public exploit is available.

A public exploit has been developed by Eric Blake and been published immediately after the advisory. The exploit is shared for download at exploit-db.com. It is declared as proof-of-concept. As 0-day the estimated underground price was around $5k-$25k. The vulnerability scanner Nessus provides a plugin with the ID 107145 (Ubuntu 14.04 LTS / 16.04 LTS : qemu regression (USN-3575-2)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Ubuntu Local Security Checks and running in the context l. The commercial vulnerability scanner Qualys is able to test this issue with plugin 197060 (Ubuntu Security Notification for Qemu Vulnerabilities (USN-3575-1)). The code used by the exploit is:

qemu-io f raw nbd://localhost:10809/$(printf %3000d 1 | tr ' ' a)

Upgrading eliminates this vulnerability. A possible mitigation has been published 4 months after the disclosure of the vulnerability.

The vulnerability is also documented in the databases at Tenable (107145) and Exploit-DB (43194).

Productinfo

Type

Name

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 8.5
VulDB Meta Temp Score: 8.2

VulDB Base Score: 7.3
VulDB Temp Score: 6.6
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 9.8
NVD Vector: 🔍

CNA Base Score: 8.3
CNA Vector (Red Hat, Inc.): 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Out-of-bounds write
CWE: CWE-787 / CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Access: Public
Status: Proof-of-Concept
Author: Eric Blake
Download: 🔍

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 107145
Nessus Name: Ubuntu 14.04 LTS / 16.04 LTS : qemu regression (USN-3575-2)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 863109
OpenVAS Name: Ubuntu Update for qemu USN-3575-2
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Exploit-DB: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍
Exploit Delay Time: 🔍

Timelineinfo

10/08/2017 🔍
11/28/2017 +51 days 🔍
11/29/2017 +1 days 🔍
11/29/2017 +0 days 🔍
11/29/2017 +0 days 🔍
11/29/2017 +0 days 🔍
12/04/2017 +5 days 🔍
03/05/2018 +91 days 🔍
03/06/2018 +1 days 🔍
07/27/2018 +142 days 🔍
01/17/2023 +1635 days 🔍

Sourcesinfo

Product: qemu.org

Advisory: USN-3575-2
Researcher: Eric Blake
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2017-15118 (🔍)
SecurityFocus: 101975 - QEMU 'b/nbd/server.c' Stack Buffer Overflow Vulnerability

scip Labs: https://www.scip.ch/en/?labs.20161013

Entryinfo

Created: 12/04/2017 09:25 PM
Updated: 01/17/2023 07:48 AM
Changes: 12/04/2017 09:25 PM (78), 12/12/2019 08:41 AM (7), 01/25/2021 05:29 PM (2), 01/25/2021 05:31 PM (1), 01/25/2021 05:38 PM (1), 01/17/2023 07:36 AM (3), 01/17/2023 07:42 AM (9), 01/17/2023 07:48 AM (1)
Complete: 🔍
Cache ID: 44:FCF:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Interested in the pricing of exploits?

See the underground prices here!